> ## Documentation Index
> Fetch the complete documentation index at: https://docs.clearline.me/llms.txt
> Use this file to discover all available pages before exploring further.

# Start POS widget session

> Start POS widget session for the specified POS system and location



## OpenAPI

````yaml /openapi.yaml post /v2/pos/{posSystemId}/widget/start
openapi: 3.0.1
info:
  title: ClearLine POS API
  description: >-
    Point of Sale integration API for ClearLine Marketing Platform. This API
    enables POS systems to send transaction data, manage customer interactions,
    and integrate with marketing campaigns.
  version: v1
servers:
  - url: https://public-api-demo.clearline.me
    description: ClearLine API Server
security: []
paths:
  /v2/pos/{posSystemId}/widget/start:
    post:
      tags:
        - Widgets
      summary: Start POS widget session
      description: Start POS widget session for the specified POS system and location
      operationId: PosV2Widget_WidgetStart
      parameters:
        - name: posSystemId
          in: path
          description: POS System Id
          required: true
          schema:
            type: string
      requestBody:
        description: Request
        content:
          application/json-patch+json:
            schema:
              $ref: '#/components/schemas/PosWidgetStartRequest'
            example:
              posLocationId: 6orMqUyq2Hg3tP
              terminalId: 6orMqUyq
              widgetId: '1'
              couponId: ''
          application/json:
            schema:
              $ref: '#/components/schemas/PosWidgetStartRequest'
            example:
              posLocationId: 6orMqUyq2Hg3tP
              terminalId: 6orMqUyq
              widgetId: '1'
              couponId: ''
          text/json:
            schema:
              $ref: '#/components/schemas/PosWidgetStartRequest'
            example:
              posLocationId: 6orMqUyq2Hg3tP
              terminalId: 6orMqUyq
              widgetId: '1'
              couponId: ''
          application/*+json:
            schema:
              $ref: '#/components/schemas/PosWidgetStartRequest'
            example:
              posLocationId: 6orMqUyq2Hg3tP
              terminalId: 6orMqUyq
              widgetId: '1'
              couponId: ''
          application/xml:
            schema:
              $ref: '#/components/schemas/PosWidgetStartRequest'
            example:
              posLocationId: 6orMqUyq2Hg3tP
              terminalId: 6orMqUyq
              widgetId: '1'
              couponId: ''
          text/xml:
            schema:
              $ref: '#/components/schemas/PosWidgetStartRequest'
            example:
              posLocationId: 6orMqUyq2Hg3tP
              terminalId: 6orMqUyq
              widgetId: '1'
              couponId: ''
          application/*+xml:
            schema:
              $ref: '#/components/schemas/PosWidgetStartRequest'
            example:
              posLocationId: 6orMqUyq2Hg3tP
              terminalId: 6orMqUyq
              widgetId: '1'
              couponId: ''
      responses:
        '200':
          description: Success
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/PosWidgetStartResponseApiResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/PosWidgetStartResponseApiResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/PosWidgetStartResponseApiResponse'
            application/xml:
              schema:
                $ref: '#/components/schemas/PosWidgetStartResponseApiResponse'
            text/xml:
              schema:
                $ref: '#/components/schemas/PosWidgetStartResponseApiResponse'
      security:
        - BearerAuth: []
        - ImplicitAuth: []
components:
  schemas:
    PosWidgetStartRequest:
      required:
        - posLocationId
        - terminalId
        - widgetId
      type: object
      properties:
        posLocationId:
          minLength: 1
          type: string
          description: POS location identifier
        terminalId:
          minLength: 1
          type: string
          description: Terminal identifier
        widgetId:
          type: integer
          description: Widget identifier
          format: int32
        couponId:
          type: string
          description: Coupon unique identifier
          nullable: true
      additionalProperties: false
      description: Request to start POS widget
    PosWidgetStartResponseApiResponse:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/PosWidgetStartResponse'
      additionalProperties: false
    PosWidgetStartResponse:
      type: object
      properties:
        sessionId:
          type: string
          description: Session identifier
          nullable: true
        qrCodePreviewHtmlLinkUrl:
          type: string
          description: QR-code Preview HTML link URL
          nullable: true
      additionalProperties: false
      description: Response to start POS widget
  securitySchemes:
    BearerAuth:
      type: http
      description: |-

        JWT Authorization header using the Bearer scheme.

        Enter **_JWT Bearer token only_** in the text input below.
      scheme: bearer
      bearerFormat: JWT
    ImplicitAuth:
      type: oauth2
      description: Implicit scheme
      flows:
        implicit:
          authorizationUrl: https://logindemo.clearline.me/connect/authorize
          scopes:
            clearline_api: Grants access to Clearline API endpoints.

````